Loading...
Searching...
No Matches
XrdXrootdMonInfo Namespace Reference

## Functions

static int32_t | InitStartTime ()

## Variables

XrdSysError * | eDest = 0
char * | kySID = 0
int | kySIDSZ = 0
int | LidCGI [4] = {0}
int | LidJSON [4] = {0}
char * | monHost = 0
long long | mySID = 0
XrdScheduler * | Sched = 0
XrdSysMutex | seqMutex
char * | SidCGI [4] = {0}
char * | SidJSON [4] = {0}
int | startTime = InitStartTime()

## Function Documentation

## InitStartTime()

int32_t XrdXrootdMonInfo::InitStartTime | ( |  | ) |

inline static

Definition at line 104 of file XrdXrootdMonitor.cc.

{
return htonl( time( 0 ) );
}

## Variable Documentation

## eDest

XrdSysError * XrdXrootdMonInfo::eDest = 0

Definition at line 48 of file XrdXrootdMonFile.cc.

Referenced by XrdXrootdMonFile::Init().

## kySID

char * XrdXrootdMonInfo::kySID = 0

Definition at line 112 of file XrdXrootdMonitor.cc.

Referenced by XrdXrootdMonitor::Init(), and XrdXrootdMonitor::User::Register().

## kySIDSZ

int XrdXrootdMonInfo::kySIDSZ = 0

Definition at line 115 of file XrdXrootdMonitor.cc.

Referenced by XrdXrootdMonitor::Init().

## LidCGI

int XrdXrootdMonInfo::LidCGI[4] = {0}

Definition at line 119 of file XrdXrootdMonitor.cc.

{0};

Referenced by XrdXrootdMonitor::Init().

## LidJSON

int XrdXrootdMonInfo::LidJSON[4] = {0}

Definition at line 121 of file XrdXrootdMonitor.cc.

{0};

Referenced by XrdXrootdMonitor::Init().

## monHost

char * XrdXrootdMonInfo::monHost = 0

Definition at line 111 of file XrdXrootdMonitor.cc.

Referenced by XrdXrootdGSReal::XrdXrootdGSReal(), and XrdXrootdMonitor::Init().

## mySID

long long XrdXrootdMonInfo::mySID = 0

Definition at line 49 of file XrdXrootdMonFile.cc.

Referenced by XrdXrootdMonFile::Init(), XrdXrootdMonitor::Init(), and XrdXrootdMonitor::Init().

## Sched

XrdScheduler * XrdXrootdMonInfo::Sched = 0

Definition at line 47 of file XrdXrootdMonFile.cc.

Referenced by XrdXrootdMonFile::DoIt(), XrdXrootdMonitor_Ident::DoIt(), XrdXrootdMonFile::Init(), XrdXrootdMonitor::Init(), and XrdXrootdMonitor::Init().

## seqMutex

XrdSysMutex XrdXrootdMonInfo::seqMutex

Definition at line 116 of file XrdXrootdMonitor.cc.

Referenced by XrdXrootdMonitor::GetDictID().

## SidCGI

char * XrdXrootdMonInfo::SidCGI = {0}

Definition at line 118 of file XrdXrootdMonitor.cc.

{0};

Referenced by XrdXrootdMonitor::Init().

## SidJSON

char * XrdXrootdMonInfo::SidJSON = {0}

Definition at line 120 of file XrdXrootdMonitor.cc.

{0}; // 0:sidsite 1:sidhostid 2:sidinst 3:sidfull

Referenced by XrdXrootdMonitor::Init().

## startTime

int32_t XrdXrootdMonInfo::startTime = InitStartTime()

Definition at line 50 of file XrdXrootdMonFile.cc.

Referenced by XrdXrootdMonFile::Init().